Рейтинг@Mail.ru

Наши друзья и партнеры

купить дешевый 
компьютер родом из Dhgate.com




Книги по Linux (с отзывами читателей)

Библиотека сайта rus-linux.net

Назад Введение в Armitage Вперед

2. Приступаем к работе

2.1 Рекомендуемые требования

Armitage устанавливается вместе с Metasploit 3.7.0 одним пакетом. В нем имеются все необходимые зависимости, включая:

  • Java 1.6.0+
  • Metasploit 3.7.0+
  • База данных и сопроводительная документация по ее подключению

Убедитесь в том, что у вас установлена официальная версия Sun Oracle Java. Связка Armitage+Metasploit не работает с другими версиями Java-окружениями.

Вам потребуется самая последняя сборка фреймворка Metasploit. Работа Armitage была протестирована на совместимость с последними версиями Metasploit. Нет никакой гарантии, что более ранние сборки Metasploit также будут работать с ним. Проверьте версию вашего фреймворка командой subversion. Регулярно выполняйте обновление Metasploit командой msfupdate.

Наконец, вам необходима база данных, которую вы будете подключать к Metasploit. Armitage потребует от вас имени пользователя, пароль, имя машины и базу данных, прежде чем вы выполните подключение.

Я настоятельно рекомендую вам использовать для управления базой данных PostgreSQL вместо MySQL. Имеются нерешенные проблемы, приводящие к краху базы данных MySQL, когда Metasploit пытается изменить схему базы данных. На базе данных под управлением PostgreSQL фреймворк прошел полное и успешное тестирование. Поэтому полный инсталляционный пакет Metasploit под Windows и Linux устанавливает именно PostgresSQL.

2.2 Установка под Linux

Для того, чтобы установить Armitage под Linux:

  1. Удостоверьтесь, что вы обладаете правами пользователя root
  2. Скачайте и установите Metasploit Framework с сайта разработчиков http://www.metasploit.com/ (в результате вы получите полный пакет со всеми зависимостями под Linux.)
  3. После инсталляции, запустите обновление Metasploit командой /opt/framework/app/msfupdate
  4. Установите VNC viewer (например, под Ubuntu это выполняется командой apt-get install vncviewer)

Для запуска Armitage выполните команду:

sudo armitage

Щелкните мышью на Start MSF для запуска демона Metasploit RPC и подключитесь к нему. Настройки для установленной базы данных Metasploit уже выставлены за вас. Вам нет никакой необходимости их менять.

2.3 Установка под BackTrack linux

Дистрибутив BackTrack Linux 5 уже имеет в своем составе предустановленные и готовые к использованию пакеты Metasploit и Armitage.

Откройте терминал и введите команду для запуска Armitage:

armitage

Щелкните мышью на кнопке Start MSF, чтобы запустить Metasploit и подключиться к Armitage.

Если вы хотите легко и без проблем пользоваться Armitage, BackTrack Linux является самым предпочтительным вариантом.

2.4.Установка под Windows

Для установки Armitage под Windows нужно выполнить следующие шаги:

  1. Убедитесь в том, что вы являетесь администратором системы (если это не так, перейдите под эту учетную запись, как описано здесь)
  2. Скачайте и установите Metasploit Framework с домашней страницы http://www.metasploit.com/ (вы получите пакет со всеми зависимостями под эту операционную систему)
  3. Обновите Metasploit, перейдя в меню Start - All Programs - Metasploit Framework - Metasploit Update

Для запуска Armitage:

  • Перейдите в меню Start - All Programs - Metasploit Framework - Armitage
  • Щелкаем по кнопке Start MSF и ждем подключения
  • Если что-то пошло не так, запускаете Диспетчер задач комбинацией клавиш Ctrl-Alt-Del и останавливаете все Ruby-процессы в нем

2.5 Установка под MacOS X

Armitage работает под MacOS X, но эта операционная система не является поддерживаемой для него. Metasploit не имеет официального пакета под OS X. Существует множество мануалов по установке этого фреймворка с готовыми предустановками. Cedric Baillet создал пошаговое руководство по конфигурации Postgres и Ruby для использования Armitage под MacOS X.

Мною было вложено много сил в разработку Armitage, а также в поддержку его Windows-версии. Я рад, что были исправлены специфические баги Armitage под MacOS X, но я не смогу помочь вам с проблемами, связанными с установкой Metasploit и базы данных под эту операционную систему. Я не открою вам секрета, если скажу, что я не использую Metasploit под MacOS X и у меня нет никаких соображений по поводу того, чем я cмог бы помочь в этом случае.

Armitage хорошо работает под MacOS X в качестве удаленного клиента для Metasploit. Скачайте пакет для MacOS X, распакуйте его и двойным щелчком запустите файл Armitage.app.


Назад Оглавление Вперед

Если вам понравилась статья, поделитесь ею с друзьями: